Difference between revisions of "Arch Add/de"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 9: Line 9:
 
* Add objects to [[Arch SectionPlane|section planes]]
 
* Add objects to [[Arch SectionPlane|section planes]]
  
[[Image:Arch Add example.jpg]]
+
[[Image:Arch Add example.jpg|640px]]
  
 
In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.
 
In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.
Line 21: Line 21:
  
 
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:
 
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:
  '''addComponents (objectsList,hostObject)''':
+
<syntaxhighlight>
 +
  addComponents (objectsList,hostObject)  
 +
</syntaxhighlight>
 
*fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu. So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.
 
*fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu. So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.
 
* Returns nothing.
 
* Returns nothing.

Revision as of 14:21, 23 February 2014

Arch Add.svg Teil hinzufügen

Menüeintrag
Architektur -> Teil hinzufügen
Arbeitsbereich
Arch
Standardtastenkürzel
W A
In der Version eingeführt
-
Siehe auch
Entfernen


Beschreibung

The Add tool allows you to do 4 kinds of operations:

Arch Add example.jpg

In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.

Anwendung

  1. Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
  2. Drücke den Arch Add.png Hinzufügen-Knopf.

Scripting

Das Hinzufügen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

 addComponents (objectsList,hostObject)
  • fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu. So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.
  • Returns nothing.

Beispiel:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎